---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/authenticate
page_title: Authenticate
---

## API Version: default


# Authenticate



Starts the **authentication**  and **linking**  process of the wallet with the customer. This API is used if the wallet was **delinked**  earlier by the customer or you decided to skip authentication during wallet creation. The customer will get an OTP on his registered mobile number on successful completion of this step. ## Endpoints:
- Production: https://api.juspay.in/wallets/{wallet_id}

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:    <p>Example:- <br> Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==</p>
- Tags: Base64 Encoded Username:Password, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST https://api.juspay.in/wallets/$wallet_id \
-u your_api_key: \
-d "command=authenticate"
```

### Sample Response:

#### Response:
```json
{
  "id": "wlt_q23xzki3pazgtezo",
  "object": "wallet_account",
  "wallet": "MOBIKWIK",
  "token": null,
  "current_balance": null,
  "linked": false,
  "last_refreshed": null
}
```

## Body Parameters:
### Parameters:

#### command:
- Description: Send it as `authenticate` if you want to start the authentication/linking process.
- Tags: string, Required

#### gateway_reference_id:
- Description: Required in case of multiple MID setup
- Tags: string

#### client_auth_token:
- Description: Required for client side authentication
- Tags: string
## API Responses:
### 200:

#### id:
- Description: wlt_q23xzki3pazgtezo
- Tags: string

#### object:
- Description: wallet_account
- Tags: string

#### wallet:
- Description: MOBIKWIK
- Tags: string

#### token:

#### current_balance:

#### linked:
- Tags: boolean

#### last_refreshed:
- Tags: String
### 400:

#### object:
- Tags: object
